Boost a Post
Turn an existing organic post into a paid ad
Boost a Post
const ad = await zernio.ads.boostPost({ body: {
postId: 'POST_ID',
accountId: 'ACCOUNT_ID',
adAccountId: 'act_1234567890',
name: 'Spring launch boost',
goal: 'traffic',
budget: { amount: 40, type: 'daily' },
schedule: { startDate: '2026-04-20', endDate: '2026-04-27' },
targeting: {
ageMin: 25,
ageMax: 45,
countries: ['US', 'CA'],
interests: [{ id: '6003139266461', name: 'DevOps' }]
}
}});ad = client.ads.boost_post(
post_id="POST_ID",
account_id="ACCOUNT_ID",
ad_account_id="act_1234567890",
name="Spring launch boost",
goal="traffic",
budget={"amount": 40, "type": "daily"},
schedule={"startDate": "2026-04-20", "endDate": "2026-04-27"},
targeting={"ageMin": 25, "ageMax": 45, "countries": ["US", "CA"]},
)curl -X POST "https://zernio.com/api/v1/ads/boost" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"postId": "POST_ID",
"accountId": "ACCOUNT_ID",
"adAccountId": "act_1234567890",
"name": "Spring launch boost",
"goal": "traffic",
"budget": { "amount": 40, "type": "daily" },
"schedule": { "startDate": "2026-04-20", "endDate": "2026-04-27" },
"targeting": {
"ageMin": 25,
"ageMax": 45,
"countries": ["US", "CA"]
}
}'